package com.ruoyi.system.mapper.visit.dr;

import com.ruoyi.system.domain.visit.dr.VisitDrCompanyDataPool;
import com.ruoyi.system.domain.visit.dr.VisitDrCompanyDataPoolExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VisitDrCompanyDataPoolMapper {
    long countByExample(VisitDrCompanyDataPoolExample example);

    int deleteByExample(VisitDrCompanyDataPoolExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitDrCompanyDataPool record);

    int insertSelective(VisitDrCompanyDataPool record);

    List<VisitDrCompanyDataPool> selectByExample(VisitDrCompanyDataPoolExample example);

    VisitDrCompanyDataPool selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitDrCompanyDataPool record, @Param("example") VisitDrCompanyDataPoolExample example);

    int updateByExample(@Param("record") VisitDrCompanyDataPool record, @Param("example") VisitDrCompanyDataPoolExample example);

    int updateByPrimaryKeySelective(VisitDrCompanyDataPool record);

    int updateByPrimaryKey(VisitDrCompanyDataPool record);
    int deleteAllDataByRuleId(@Param("ruleId") String ruleId);

    List<VisitDrCompanyDataPool> selectDataByRuleId(@Param("ruleId") String ruleId);
}